

Imports System.Text

' ------------------------------------------------------------------------ synthesizer component with stereo output
Public MustInherit Class StereoSynthComponent
	Inherits SynthComponent

    Private buffer As StereoBuffer

    Protected Sub New(ByVal sampleRate As SampleRate, ByVal buffer As StereoBuffer)
        MyBase.New(sampleRate)
        Me.buffer = buffer
    End Sub

    Protected Sub New(ByVal sampleRate As SampleRate, ByVal buffer As StereoBuffer, ByVal name As String)
        MyBase.New(sampleRate, name)
        Me.buffer = buffer
    End Sub

    Public Function GetBuffer() As Single(,)
        Return buffer.GetBuffer()
    End Function

    Friend Overloads Overrides Property BufferSize() As Integer
        Get
            Return buffer.BufferSize
        End Get
        Set(ByVal value As Integer)
            buffer.BufferSize = value
        End Set
    End Property

End Class
