

Imports System.Runtime.Serialization

<Serializable> _
Public Class ChunkNotFoundException
    Inherits Exception

	Private m_chunkId As String = String.Empty

	Public Sub New()
	End Sub

	Public Sub New(message As String, innerException As Exception)
		MyBase.New(message, innerException)
	End Sub

	Protected Sub New(info As SerializationInfo, context As StreamingContext)
		MyBase.New(info, context)
	End Sub

	Public Sub New(chunkId As String)
		Me.m_chunkId = chunkId
	End Sub

	Public ReadOnly Property ChunkId() As String
		Get
			Return m_chunkId
		End Get
    End Property

End Class
