

Imports System.Collections.Generic
Imports System.Runtime.InteropServices
Imports LC.Threading

Partial Public Class OutputDevice

    Private Class OutputAsyncResult
        Inherits AsyncResult

        Private m_buffer As WaveformBuffer

        Private m_error As Exception = Nothing

        Public Sub New(ByVal buffer As WaveformBuffer, ByVal owner As Object, ByVal callback As AsyncCallback, ByVal state As Object)
            MyBase.New(owner, callback, state)
            Me.m_buffer = buffer
        End Sub

        Public ReadOnly Property Buffer() As WaveformBuffer
            Get
                Return m_buffer
            End Get
        End Property

        Public Property [Error]() As Exception
            Get
                Return m_error
            End Get
            Set(ByVal value As Exception)
                m_error = Value
            End Set
        End Property

    End Class

End Class
